org.eclipse.viatra.query.runtime.rete.traceability

## Class ParameterProjectionTrace

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo
  - - org.eclipse.viatra.query.runtime.rete.traceability.ParameterProjectionTrace

- All Implemented Interfaces:
    PatternTraceInfo, TraceInfo

      public class ParameterProjectionTrace
      extends RecipeTraceInfo
      implements PatternTraceInfo

  The recipe projects the finished results of a `PBody` onto the list of parameters.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo

      `RecipeTraceInfo.ParentTraceList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterProjectionTrace(PBody body, ReteNodeRecipe recipe, java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)`
    `ParameterProjectionTrace(PBody body, ReteNodeRecipe recipe, RecipeTraceInfo... parentRecipeTraces)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPatternName()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo

      `assignNode, getNode, getParentRecipeTraces, getRecipe, getShadowedRecipe, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso, shadowWithEquivalentRecipe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.traceability.TraceInfo

      `assignNode, getNode, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso`

- - ### Constructor Detail

    - #### ParameterProjectionTrace

          public ParameterProjectionTrace(PBody body,
                                          ReteNodeRecipe recipe,
                                          RecipeTraceInfo... parentRecipeTraces)

    - #### ParameterProjectionTrace

          public ParameterProjectionTrace(PBody body,
                                          ReteNodeRecipe recipe,
                                          java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)

  - ### Method Detail

    - #### getPatternName

          public java.lang.String getPatternName()

      Specified by:
        `getPatternName` in interface `PatternTraceInfo`